.aolei_solution_list {
    padding: var(--component-gap) 0;
    background: var(--bg-color);
}

.aolei_solution_list .solution-list-title {
    font-size: var(--font-40);
    font-weight: 400;
    line-height: normal;
    font-family: var(--title-font-family);
    color: var(--title-text-color);
    text-align: center;
}

.aolei_solution_list .solution-list-box {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    margin: var(--gap-50) 0;
}

.aolei_solution_list .solution-item {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    transition: all 0.3s ease;
    cursor: pointer;
    aspect-ratio: 335/456;
}

.aolei_solution_list .solution-item a {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    padding: 24px 12px;
    transition: all 0.3s ease;
}

.aolei_solution_list .solution-item a:hover {
    background: rgba(0, 0, 0, 0.80);
}

.aolei_solution_list .solution-title {
    font-size: var(--font-18);
    font-weight: 400;
    line-height: normal;
    font-family: var(--title-font-family);
    color: #FDFDFD;
    text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    margin-bottom: 15px;
}

.aolei_solution_list .tag-box {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    overflow-x: auto;
    opacity: 0;
    transition: all 0.5s ease;
}

.aolei_solution_list .solution-tag {
    font-size: var(--font-14);
    font-weight: 400;
    line-height: normal;
    font-family: var(--font-family);
    color: #FDFDFD;
    padding: 8px 12px;
    border-radius: 50px;
    border: 1px solid #FDFDFD;
}

.aolei_solution_list .view-more {
    font-size: var(--font-14);
    font-weight: 400;
    line-height: normal;
    font-family: var(--font-family);
    color: #FDFDFD;
    opacity: 0;
    transition: all 0.5s ease;
    margin-top: auto;
    align-self: self-end;
}

.aolei_solution_list .solution-item a:hover .tag-box,
.aolei_solution_list .solution-item a:hover .view-more {
    opacity: 1;
}

.aolei-list-pagination {
    margin-top: var(--gap-50);
}

.aolei-list-pagination ul {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 32px;
}

.aolei-list-pagination ul a {
    font-size: var(--font-16);
    font-weight: 400;
    line-height: normal;
    font-family: var(--font-family);
    color: #3E3A39;
    transition: all 0.3s ease;
}

.aolei-list-pagination ul a.active {
    color: #FFF;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background: var(--color-primary);
    display: flex;
    align-items: center;
    justify-content: center;
}

@media (max-width: 992px) {
    .aolei_solution_list .solution-list-box {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 768px) {
    .aolei_solution_list .solution-list-box {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 480px) {
    .aolei_solution_list .solution-list-box {
        grid-template-columns: 1fr;
    }
}